Bug 18827 - gcc-2.96 fails to compile gnustep (objc)
gcc-2.96 fails to compile gnustep (objc)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
ftp://ftp.gnu.org/gnu/gstep/gstep-cor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-10 12:04 EDT by georg
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-15 11:16:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description georg 2000-10-10 12:04:22 EDT
when i try to compile gnustep using gcc-2.96 as shipped with redhat 7.0 gcc
exits after a segmentation fault. this is reproducable using the current
gnustep version from cvs or with the last released version:
ftp://ftp.gnu.org/gnu/gstep/gstep-core-0.6.6.tar.gz

the following is the output of gcc (after doing a simple configure
successfully first, of course):
gcc NSData.m -c  -DGNUSTEP_INSTALL_PREFIX=/usr/GNUstep/System
-DGNUSTEP_TARGET_DIR=\"ix86/linux-gnu\" -DGNUSTEP_TARGET_CPU=\"ix86\"
-DGNUSTEP_TARGET_OS=\"linux-gnu\" -DLIBRARY_COMBO=\"gnu-gnu-gnu-xgps\"
-Wall -DGNUSTEP -DGNUSTEP_VERSION=0.6.6 -DGNUSTEP_MAJOR_VERSION=0
-DGNUSTEP_MINOR_VERSION=6 -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1
-DXGPS_BACKEND_LIBRARY=1 -DGNU_RUNTIME=1 -D_REENTRANT  -fPIC -DGSWARN -g
-O2 -Wno-import -fgnu-runtime   -I../Headers/gnustep -I./ix86/linux-gnu   
-I. -I/usr/include -I/usr/include -I/usr/X11R6/include     
-I/usr/GNUstep/Network/Headers -I/usr/GNUstep/System/Headers  -o
shared_obj/ix86/linux-gnu/gnu-gnu-gnu-xgps/NSData.o
NSData.m:2258: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.
make[4]: *** [shared_obj/ix86/linux-gnu/gnu-gnu-gnu-xgps/NSData.o] Error 1
rm o_list_cbs.m o_list_bas.m o_map_cbs.m o_map_bas.m o_hash_cbs.m
o_hash_bas.m o_array_cbs.m o_array_bas.m
make[3]: *** [libgnustep-base.build] Error 2
make[2]: *** [libgnustep-base.all.library.variables] Error 2
make[2]: Leaving directory `/home/georg/tmp/gstep-core-0.6.6/base/Source'
make[1]: *** [internal-all] Error 2
make[1]: Leaving directory `/home/georg/tmp/gstep-core-0.6.6/base'
make: *** [subproj-all] Error 2

as the gcc-maintainers will not support the snapshot redhat used for rh 7.0
i hope you can resolve the problem (or perhaps give a hint about the
"offending" source in NSData.m).
Comment 1 Karsten Hopp 2001-02-15 10:32:03 EST
This report is still valid for gcc-2.96-74 !
Comment 2 Jakub Jelinek 2001-02-15 11:16:25 EST
Ouch, this one was easy (garbage collection problem), sorry it took that long.
The fix is at http://gcc.gnu.org/ml/gcc-patches/2001-02/msg00883.html
and will appear in gcc-objc-2.96-76.

Note You need to log in before you can comment on or make changes to this bug.